#!/usr/bin/make -f
# -*- makefile -*-  
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export INSTALL_PREFIX  = /usr
export INSTALL_DESTDIR = /debian/ffqueue$(INSTALL_PREFIX)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure --

override_dh_auto_install:
	install -Dm 0644 res/ffqueue.desktop $(CURDIR)$(INSTALL_DESTDIR)/share/applications/ffqueue.desktop
	install -Dm 0644 res/MainLogo16.png $(CURDIR)$(INSTALL_DESTDIR)/share/icons/hicolor/16x16/apps/ffqueue.png
	install -Dm 0644 res/MainLogo32.png $(CURDIR)$(INSTALL_DESTDIR)/share/icons/hicolor/32x32/apps/ffqueue.png
	install -Dm 0644 res/MainLogo64.png $(CURDIR)$(INSTALL_DESTDIR)/share/icons/hicolor/64x64/apps/ffqueue.png
	install -Dm 0755 src/ffqueue $(CURDIR)$(INSTALL_DESTDIR)/bin/ffqueue
	dh_install --

override_dh_missing:
	dh_missing --fail-missing
